Subject: bug#26525: `sit-for' in Flyspell slows typing down, hogs 90% of CPU

From: Stefan Kangas <[email-masked]>
Date: Wed, 12 Aug 2020 18:41:18 -0700

Clément Pit-Claudel <[email-masked]> writes:

> On 2017-04-17 10:25, Eli Zaretskii wrote:
>>> Thanks! I don't expect that this feature is intended to slow down typing, though, right?  In the example I posted it makes typing painfully slow.
>> I didn't see any example in your OP, only a profile.  What did I miss?
>>
>> And no, this is not supposed to slow down typing in any significant
>> way, as long as you type, because sit-for is supposed to return as
>> soon as input is available.  Your complaint was about CPU usage, not
>> about time delays, AFAIU.
>
> Indeed, there was only a profile; I don't have a good repro yet.  In that case, flyspell was slowing things down a lot, and the complaint was indeed about delays.
> Sorry for being unclear.

That was 3 years ago.  Are you still seeing this on a recent version of
Emacs, such as the recently released 27.1?

Best regards,
Stefan Kangas